com.google.appengine.api.log.dev

## Class DevLogHandler

- java.lang.Object
- - java.util.logging.Handler
  - - java.util.logging.StreamHandler
    - - com.google.appengine.api.log.dev.DevLogHandler

-     public class DevLogHandler
      extends java.util.logging.StreamHandler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DevLogHandler(LocalLogService serviceToUse)` Creates a new LogHandler that writes log records to the LocalLogService.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `convertLogLevel(java.util.logging.Level level)`
    `static java.lang.String` | `getRequestId()`
    `void` | `publish(java.util.logging.LogRecord record)` Writes an application-level log to the LocalLogService.

    - ### Methods inherited from class java.util.logging.StreamHandler

      `close, flush, isLoggable, setEncoding, setOutputStream`

    - ### Methods inherited from class java.util.logging.Handler

      `getEncoding, getErrorManager, getFilter, getFormatter, getLevel, reportError, setErrorManager, setFilter, setFormatter, setLevel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DevLogHandler

          public DevLogHandler(LocalLogService serviceToUse)

      Creates a new LogHandler that writes log records to the LocalLogService.

  - ### Method Detail

    - #### publish

          public void publish(java.util.logging.LogRecord record)

      Writes an application-level log to the LocalLogService.
      Overrides:
        `publish` in class `java.util.logging.StreamHandler`
      Parameters:
        `record` - The application-level log that should be recorded.
      See Also:
        `StreamHandler.publish(LogRecord)`

    - #### convertLogLevel

          public int convertLogLevel(java.util.logging.Level level)

    - #### getRequestId

          public static java.lang.String getRequestId()